=== debian/changelog ===
savane (1.2) unstable; urgency=low

  * New upstream release.

 -- Mathieu Roy <moa@ulysse.attique.org>  Mon, 19 Sep 2005 11:42:41 +0200

savane (1.1) unstable; urgency=low

  * New upstream release.

 -- Savane developers <savane-dev@gna.org>  Tue, 13 Sep 2005 15:50:40 +0200

savane (1.0.8-1+2) unstable; urgency=low

  * Fix a bug causing attachment to be broken during utf8 conversion
  (next time, we'll drop the -1 from the first package, as we these 
  are more or less native packages for us).
  
 -- Mathieu Roy (on behalf of Savane developers) <savane-dev@gna.org>  Sat, 10 Sep 2005 13:32:02 +0200

savane (1.0.8-1+1) unstable; urgency=low

  * Repackaging (next time, we'll drop the -1 from the first package, as
  we these are more or less native packages for us).

 -- Mathieu Roy (on behalf of Savane developers) <savane-dev@gna.org>  Wed,  7 Sep 2005 16:23:13 +0200

savane (1.0.8-1) unstable; urgency=low

  * New upstream release.

 --  Savane developers <savane-dev@gna.org>  Fri,  2 Sep 2005 23:27:59 +0200

savane (1.0.7-2) unstable; urgency=low

  * Typo fix in savane-lib.

 --  Savane developers <savane-dev@gna.org>  Fri,  1 Jul 2005 09:31:49 +0200

savane (1.0.7-1) unstable; urgency=low

  * First release of savane debian packages. See the generic changelog for
  non-debian specific issues.

 --  Savane developers <savane-dev@gna.org>  Thu, 30 Jun 2005 16:31:57 +0200
